Package org.eclipse.ecf.core.sharedobject

## Class SharedObjectMsgEvent

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.events.RemoteSharedObjectEvent
  - - org.eclipse.ecf.core.sharedobject.SharedObjectMsgEvent

All Implemented Interfaces:
  `Serializable`, `ISharedObjectEvent`, `ISharedObjectMessageEvent`, `Event`

    public class SharedObjectMsgEvent
    extends RemoteSharedObjectEvent

Event type to represent messages sent between shared objects

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SharedObjectMsgEvent()`
`SharedObjectMsgEvent​(ID senderObj, ID remoteCont, SharedObjectMsg msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SharedObjectMsg` `getSharedObjectMsg()`
`String` `toString()`

### Methods inherited from class org.eclipse.ecf.core.sharedobject.events.RemoteSharedObjectEvent

`getData, getEvent, getRemoteContainerID, getSenderSharedObjectID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SharedObjectMsgEvent

    public SharedObjectMsgEvent()

Since:
  2.6

#### SharedObjectMsgEvent

    public SharedObjectMsgEvent​(ID senderObj,
                                ID remoteCont,
                                SharedObjectMsg msg)

Parameters:
  `senderObj` -
  `remoteCont` -
  `msg` -

### Method Detail

#### getSharedObjectMsg

    public SharedObjectMsg getSharedObjectMsg()

#### toString

    public String toString()

Overrides:
  `toString` in class `RemoteSharedObjectEvent`